# $Revision: 1.3 $, $Date: 2005/09/22 20:12:41 $
%define 	module	TwistedConch

Summary:	Twisted SSHv2 implementation
Summary(pl):	Implementacja SSHv2 dla Twisted
Name:		python-%{module}
Version:	0.5.0
Release:	0.2
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Conch/0.5/%{module}-%{version}.tar.bz2
# Source0-md5:	42961532a130bb119ae3be6b14dde28b
URL:		http://twistedmatrix.com/projects/conch/
BuildRequires:	ZopeInterface
BuildRequires:	python-devel >= 2.2
Requires:	python-Twisted >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conch is an SSHv2 implementation using the Twisted framework. It
includes a server, client, a SFTP client, and a key generator.

%description -l pl
Conch jest implementacj SSHv2 wykorzystujc Twisted. Zawiera serwer,
klienta, klienta SFTP i generator kluczy.

%package doc
Summary:	Documentation for TwistedConch
Summary(pl):	Dokumentacja do TwistedConch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for TwistedConch.

%description doc -l pl
Dokumentacja offline do TwistedConch.

%package examples
Summary:	Example programs for TwistedConch
Summary(pl):	Programy przykadowe do TwistedConch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for TwistedConch.

%description examples -l pl
Ten pakiet zawiera przykadowe programy dla TwistedConch.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir}/twisted,%{py_sitescriptdir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

ln -sf %{py_sitescriptdir}/twisted/conch $RPM_BUILD_ROOT%{py_sitedir}/twisted/conch

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -ar doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/twisted/conch
%{py_sitescriptdir}/twisted
%{_mandir}/man1/*.1*

%files doc
%defattr(644,root,root,755)
%doc doc/howto

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TwistedConch.spec,v $
Revision 1.3  2005/09/22 20:12:41  qboosh
- doc/examples descs fix

Revision 1.2  2005/09/13 19:01:19  troll
- added symlink in %%{py_sitedir} for successful module lookups

Revision 1.1  2005/09/12 19:14:53  troll
- initial checkin
